Loading...
Searching...
No Matches
ON_TextLog Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_textlog.h>`

## Public Member Functions

| ON_TextLog ()
| ON_TextLog (FILE *fp)
| ON_TextLog (ON_wString &s)
virtual | ~ON_TextLog ()
void | SetDoubleFormat (const char *)
void | GetDoubleFormat (ON_String &) const
void | SetFloatFormat (const char *)
void | GetFloatFormat (ON_String &) const
void | PushIndent ()
void | PopIndent ()
int | IndentSize () const
void | SetIndentSize (int)
void | PrintWrappedText (const char *, int=60)
void | PrintWrappedText (const wchar_t *, int=60)
void | Print (const char *format,...)
void | Print (const wchar_t *format,...)
void | Print (float)
void | Print (double)
void | Print (const ON_2dPoint &)
void | Print (const ON_3dPoint &)
void | Print (const ON_4dPoint &)
void | Print (const ON_2dVector &)
void | Print (const ON_3dVector &)
void | Print (const ON_Xform &)
void | Print (const ON_UUID &)
void | Print (const ON_COMPONENT_INDEX &)
void | Print (const ON_wString &string)
void | Print (const ON_String &string)
void | Print (const ON_3dPointArray &, const char *=NULL)
void | Print (const ON_Matrix &, const char *=NULL, int=0)
void | PrintNewLine ()
void | PrintString (const char *s)
void | PrintString (const wchar_t *s)
void | PrintRGB (const ON_Color &)
void | PrintTime (const struct tm &)
void | PrintPointList (int, ON_BOOL32, int, int, const double *, const char *=NULL)
void | PrintPointGrid (int, ON_BOOL32, int, int, int, int, const double *, const char *=NULL)
void | PrintKnotVector (int, int, const double *)
ON_TextLog & | operator<< (const char *)
ON_TextLog & | operator<< (char)
ON_TextLog & | operator<< (short)
ON_TextLog & | operator<< (int)
ON_TextLog & | operator<< (float)
ON_TextLog & | operator<< (double)
ON_TextLog & | operator<< (const ON_2dPoint &)
ON_TextLog & | operator<< (const ON_3dPoint &)
ON_TextLog & | operator<< (const ON_4dPoint &)
ON_TextLog & | operator<< (const ON_2dVector &)
ON_TextLog & | operator<< (const ON_3dVector &)
ON_TextLog & | operator<< (const ON_Xform &)

## Protected Member Functions

virtual void | AppendText (const char *s)
virtual void | AppendText (const wchar_t *s)

## Protected Attributes

FILE * | m_pFile
ON_wString * | m_pString

## Detailed Description

Definition at line 22 of file opennurbs_textlog.h.

## Constructor & Destructor Documentation

## ON_TextLog() [1/3]

ON_TextLog::ON_TextLog | ( |  | ) |

Referenced by AppendText(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), operator<<(), and operator<<().

## ON_TextLog() [2/3]

ON_TextLog::ON_TextLog | ( | FILE * | fp | ) |

## ON_TextLog() [3/3]

ON_TextLog::ON_TextLog | ( | ON_wString & | s | ) |

## ~ON_TextLog()

virtual ON_TextLog::~ON_TextLog | ( |  | ) |

virtual

## Member Function Documentation

## AppendText() [1/2]

virtual void ON_TextLog::AppendText | ( | const char * | s | ) |

protected virtual

## AppendText() [2/2]

virtual void ON_TextLog::AppendText | ( | const wchar_t * | s | ) |

protected virtual

References ON_TextLog().

## GetDoubleFormat()

void ON_TextLog::GetDoubleFormat | ( | ON_String & |  | ) | const

## GetFloatFormat()

void ON_TextLog::GetFloatFormat | ( | ON_String & |  | ) | const

## IndentSize()

int ON_TextLog::IndentSize | ( |  | ) | const

## operator<<() [1/12]

ON_TextLog & ON_TextLog::operator<< | ( | char |  | ) |

References ON_TextLog().

## operator<<() [2/12]

ON_TextLog & ON_TextLog::operator<< | ( | const char * |  | ) |

References ON_TextLog().

## operator<<() [3/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_2dPoint & |  | ) |

References ON_TextLog().

## operator<<() [4/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_2dVector & |  | ) |

References ON_TextLog().

## operator<<() [5/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_3dPoint & |  | ) |

References ON_TextLog().

## operator<<() [6/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_3dVector & |  | ) |

References ON_TextLog().

## operator<<() [7/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_4dPoint & |  | ) |

References ON_TextLog().

## operator<<() [8/12]

ON_TextLog & ON_TextLog::operator<< | ( | const ON_Xform & |  | ) |

References ON_TextLog().

## operator<<() [9/12]

ON_TextLog & ON_TextLog::operator<< | ( | double |  | ) |

References ON_TextLog().

## operator<<() [10/12]

ON_TextLog & ON_TextLog::operator<< | ( | float |  | ) |

References ON_TextLog().

## operator<<() [11/12]

ON_TextLog & ON_TextLog::operator<< | ( | int |  | ) |

References ON_TextLog().

## operator<<() [12/12]

ON_TextLog & ON_TextLog::operator<< | ( | short |  | ) |

References ON_TextLog().

## PopIndent()

void ON_TextLog::PopIndent | ( |  | ) |

## Print() [1/16]

void ON_TextLog::Print | ( | const char * | format,
|  |  | ... )

## Print() [2/16]

void ON_TextLog::Print | ( | const ON_2dPoint & |  | ) |

## Print() [3/16]

void ON_TextLog::Print | ( | const ON_2dVector & |  | ) |

## Print() [4/16]

void ON_TextLog::Print | ( | const ON_3dPoint & |  | ) |

## Print() [5/16]

void ON_TextLog::Print | ( | const ON_3dPointArray & | ,
|  | const char * | = NULL )

## Print() [6/16]

void ON_TextLog::Print | ( | const ON_3dVector & |  | ) |

## Print() [7/16]

void ON_TextLog::Print | ( | const ON_4dPoint & |  | ) |

## Print() [8/16]

void ON_TextLog::Print | ( | const ON_COMPONENT_INDEX & |  | ) |

## Print() [9/16]

void ON_TextLog::Print | ( | const ON_Matrix & | ,
|  | const char * | = NULL,
|  | int | = 0 )

## Print() [10/16]

void ON_TextLog::Print | ( | const ON_String & | string | ) |

## Print() [11/16]

void ON_TextLog::Print | ( | const ON_UUID & |  | ) |

## Print() [12/16]

void ON_TextLog::Print | ( | const ON_wString & | string | ) |

## Print() [13/16]

void ON_TextLog::Print | ( | const ON_Xform & |  | ) |

## Print() [14/16]

void ON_TextLog::Print | ( | const wchar_t * | format,
|  |  | ... )

## Print() [15/16]

void ON_TextLog::Print | ( | double |  | ) |

## Print() [16/16]

void ON_TextLog::Print | ( | float |  | ) |

## PrintKnotVector()

void ON_TextLog::PrintKnotVector | ( | int | ,
|  | int | ,
|  | const double * | )

## PrintNewLine()

void ON_TextLog::PrintNewLine | ( |  | ) |

## PrintPointGrid()

void ON_TextLog::PrintPointGrid | ( | int | ,
|  | ON_BOOL32 | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | const double * | ,
|  | const char * | = NULL )

## PrintPointList()

void ON_TextLog::PrintPointList | ( | int | ,
|  | ON_BOOL32 | ,
|  | int | ,
|  | int | ,
|  | const double * | ,
|  | const char * | = NULL )

## PrintRGB()

void ON_TextLog::PrintRGB | ( | const ON_Color & |  | ) |

## PrintString() [1/2]

void ON_TextLog::PrintString | ( | const char * | s | ) |

## PrintString() [2/2]

void ON_TextLog::PrintString | ( | const wchar_t * | s | ) |

## PrintTime()

void ON_TextLog::PrintTime | ( | const struct tm & |  | ) |

## PrintWrappedText() [1/2]

void ON_TextLog::PrintWrappedText | ( | const char * | ,
|  | int | = 60 )

## PrintWrappedText() [2/2]

void ON_TextLog::PrintWrappedText | ( | const wchar_t * | ,
|  | int | = 60 )

## PushIndent()

void ON_TextLog::PushIndent | ( |  | ) |

## SetDoubleFormat()

void ON_TextLog::SetDoubleFormat | ( | const char * |  | ) |

## SetFloatFormat()

void ON_TextLog::SetFloatFormat | ( | const char * |  | ) |

## SetIndentSize()

void ON_TextLog::SetIndentSize | ( | int |  | ) |

## Member Data Documentation

## m_pFile

FILE* ON_TextLog::m_pFile

protected

Definition at line 193 of file opennurbs_textlog.h.

## m_pString

ON_wString* ON_TextLog::m_pString

protected

Definition at line 194 of file opennurbs_textlog.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_textlog.h